 arch/ppc64/kernel/pci.c     |    1 +
 arch/ppc64/kernel/pci_dma.c |    3 ++-
 2 files changed, 3 insertions(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/pci.c~ppc64-pci-bogons arch/ppc64/kernel/pci.c
--- 25-power4/arch/ppc64/kernel/pci.c~ppc64-pci-bogons	2003-04-22 22:29:56.000000000 -0700
+++ 25-power4-akpm/arch/ppc64/kernel/pci.c	2003-04-22 22:30:11.000000000 -0700
@@ -21,6 +21,7 @@
 #include <linux/sched.h>
 #include <linux/errno.h>
 #include <linux/bootmem.h>
+#include <linux/module.h>
 #include <linux/mm.h>
 
 #include <asm/processor.h>
diff -puN arch/ppc64/kernel/pci_dma.c~ppc64-pci-bogons arch/ppc64/kernel/pci_dma.c
--- 25-power4/arch/ppc64/kernel/pci_dma.c~ppc64-pci-bogons	2003-04-22 22:31:11.000000000 -0700
+++ 25-power4-akpm/arch/ppc64/kernel/pci_dma.c	2003-04-22 22:32:29.000000000 -0700
@@ -1135,7 +1135,8 @@ void pci_unmap_single( struct pci_dev *h
  	/* Client asked for way to much space.  This is checked later anyway */
 	/* It is easier to debug here for the drivers than in the tce tables.*/
  	if(order >= NUM_TCE_LEVELS) {
- 		printk("PCI_DMA: pci_unmap_single 0x%lx size to large: 0x%lx \n",dma_handle,size);
+ 		printk("PCI_DMA: pci_unmap_single 0x%lx size too"
+			" large: 0x%lx \n", (long)dma_handle, (long)size);
  		return;
  	}
 	

_
